aboutsummaryrefslogtreecommitdiffstats
path: root/meta/recipes-connectivity/openssl/openssl.inc
diff options
context:
space:
mode:
authorCristiana Voicu <cristiana.voicu@intel.com>2014-04-08 14:49:48 +0300
committerRichard Purdie <richard.purdie@linuxfoundation.org>2014-04-08 17:45:04 +0100
commitff52836e1838590eeec7d7658e15b21d83cf8455 (patch)
treec10df5c56df5e2fc26079f27774fe04581389ec4 /meta/recipes-connectivity/openssl/openssl.inc
parenteaf176eaabb4c558ad76512b30b28ec97fd90bc6 (diff)
downloadopenembedded-core-contrib-ff52836e1838590eeec7d7658e15b21d83cf8455.tar.gz
openembedded-core-contrib-ff52836e1838590eeec7d7658e15b21d83cf8455.tar.bz2
openembedded-core-contrib-ff52836e1838590eeec7d7658e15b21d83cf8455.zip
openssl: Upgrade to v1.0.1g
The trigger for the upgrade was the serious "heartbleed" vulnerability (CVE-2014-0160). More information: http://www.itnews.com.au/News/382068,serious-openssl-bug-renders-websites-wide-open.aspx Dropped obsolete patches, because the new version contains them: 0001-Fix-for-TLS-record-tampering-bug-CVE-2013-4353.patch 0001-Fix-DTLS-retransmission-from-previous-session.patch 0001-Use-version-in-SSL_METHOD-not-SSL-structure.patch Modified 2 patches (small changes), in order to apply properly: initial-aarch64-bits.patch openssl-fix-doc.patch Addresses CVEs: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0160 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0076 Signed-off-by: Cristiana Voicu <cristiana.voicu@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/recipes-connectivity/openssl/openssl.inc')
-rw-r--r--meta/recipes-connectivity/openssl/openssl.inc3
1 files changed, 0 insertions, 3 deletions
diff --git a/meta/recipes-connectivity/openssl/openssl.inc b/meta/recipes-connectivity/openssl/openssl.inc
index e9249145fb..ee02fb796e 100644
--- a/meta/recipes-connectivity/openssl/openssl.inc
+++ b/meta/recipes-connectivity/openssl/openssl.inc
@@ -4,9 +4,6 @@ HOMEPAGE = "http://www.openssl.org/"
BUGTRACKER = "http://www.openssl.org/news/vulnerabilities.html"
SECTION = "libs/network"
-# Big Jump for OpenSSL 1.0 support with meta-oe
-INC_PR = "r15"
-
# "openssl | SSLeay" dual license
LICENSE = "openssl"
LIC_FILES_CHKSUM = "file://LICENSE;md5=f9a8f968107345e0b75aa8c2ecaa7ec8"